summaryrefslogtreecommitdiff
path: root/script
diff options
context:
space:
mode:
authorEdward Thomson <ethomson@edwardthomson.com>2018-07-04 10:56:56 +0100
committerEdward Thomson <ethomson@edwardthomson.com>2018-07-26 14:07:00 +0100
commitce798b256b071f57bfd62664626c10339b3e36f7 (patch)
treea9e4c445ea5227a6343c5d81f6c2a5a2790a408b /script
parent7d3930a15e4b4eb292c0e24debdf1b39a6d7d63b (diff)
downloadlibgit2-ce798b256b071f57bfd62664626c10339b3e36f7.tar.gz
tests: simplify cmake test configuration
Simplify the names for the tests, removing the unnecessary "libgit2-clar" prefix. Make "all" the new default test run, and include the online tests by default (since HTTPS should always be enabled). For the CI tests, create an offline-only test, then the various online tests.
Diffstat (limited to 'script')
-rwxr-xr-xscript/citest.sh8
1 files changed, 5 insertions, 3 deletions
diff --git a/script/citest.sh b/script/citest.sh
index 7e6cdb7d7..281c01a78 100755
--- a/script/citest.sh
+++ b/script/citest.sh
@@ -25,7 +25,9 @@ git daemon --listen=localhost --export-all --enable=receive-pack --base-path="$H
export GITTEST_REMOTE_URL="git://localhost/test.git"
# Run the test suite
-ctest -V -R libgit2_clar || exit $?
+ctest -V -R offline || exit $?
+ctest -V -R online || exit $?
+ctest -V -R gitdaemon || exit $?
# Now that we've tested the raw git protocol, let's set up ssh to we
# can do the push tests over it
@@ -71,12 +73,12 @@ export GITTEST_REMOTE_USER=$USER
export GITTEST_REMOTE_SSH_KEY="$HOME/.ssh/id_rsa"
export GITTEST_REMOTE_SSH_PUBKEY="$HOME/.ssh/id_rsa.pub"
export GITTEST_REMOTE_SSH_PASSPHRASE=""
-ctest -V -R libgit2_clar-ssh || exit $?
+ctest -V -R ssh || exit $?
# Use the proxy we started at the beginning
export GITTEST_REMOTE_PROXY_URL="localhost:8080"
export GITTEST_REMOTE_PROXY_USER="foo"
export GITTEST_REMOTE_PROXY_PASS="bar"
-ctest -V -R libgit2_clar-proxy_credentials || exit $?
+ctest -V -R proxy || exit $?
kill $(cat "$HOME/sshd/pid")